# eric4.Helpviewer.Network.PyrcAccessHandler

Module implementing a scheme access handler for Python resources.

### Global Attributes

None

### Classes

PyrcAccessHandler | Class implementing a scheme access handler for Python resources.

### Functions

None

## PyrcAccessHandler

Class implementing a scheme access handler for Python resources.

### Derived from

SchemeAccessHandler

### Class Attributes

None

### Class Methods

None

### Methods

createRequest | Protected method to create a request.

### Static Methods

None

#### PyrcAccessHandler.createRequest

createRequest(op, request, outgoingData = None)

Protected method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

Up